@use './styles/navigation-dropdown.variations' as variations;
@use './../../../global/styles/utilities' as *;

.dropdown {
  @include variations.primary;

  a {
    // reset
    text-decoration: none;
    color: inherit;
  }

  .dropdown-wrapper {
    display: flex;
    flex-direction: column;
    gap: var(--digi--dropdown--spacing);
    background-color: var(--digi--dropdown--background-color);
    color: var(--digi--dropdown--text-color);
    padding-top: var(--digi--dropdown--py);
    padding-bottom: var(--digi--dropdown--py);
    border-radius: var(--digi--dropdown--border-radius);
    box-shadow: var(--digi--dropdown--box-shadow);

    &--dir-rtl .option-wrapper {
      flex-direction: row-reverse;
    }
  }

  .option-wrapper {
    font-family: var(--digi--dropdown--item--font-family);
    padding-top: var(--digi--dropdown--item--py);
    padding-bottom: var(--digi--dropdown--item--py);

    &--active {
      background-color: var(--digi--dropdown--item--background-color--active);
      font-weight: var(--digi--dropdown--item--font-weight--active);
    }

    &[dir='rtl'] {
      flex-direction: row-reverse;
    }

    &:hover {
      background-color: var(--digi--dropdown--item--background-color--hover);
      cursor: pointer;
    }

    &:focus-visible {
      @include digi--focus--inset();
    }
  }
}
